Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Interface PortletInvoker

All Known Subinterfaces:
  FederatedPortletInvoker, FederatingPortletInvoker

All Known Implementing Classes:
  BridgeInterceptor, CCPPInterceptor, ConsumerCacheInterceptor, ConsumerPortletInvoker, ContainerPortletDispatcher, ContainerPortletInvoker, ContextDispatcherInterceptor, EventPayloadInterceptor, FederatedPortletInvokerService, FederatingPortletInvokerService, LocalInterceptor, PortletContainerManagementInterceptorImpl, PortletCustomizationInterceptor, PortletInvokerInterceptor, ProducerCacheInterceptor, ProducerPortletInvoker, RequestAttributeConversationInterceptor, SecureTransportInterceptor, ValveInterceptor

    public interface PortletInvoker

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Method Summary
`PortletContext` | `createClone(PortletContext portletContext)` Clone a portlet.
`java.util.List<DestroyCloneFailure>` | `destroyClones(java.util.List<PortletContext> portletContexts)` Destroy a cloned portlet.
`Portlet` | `getPortlet(PortletContext portletContext)` Get information about a specific portlet.
`java.util.Set<Portlet>` | `getPortlets()` Return the set of portlet exposed.
`PropertyMap` | `getProperties(PortletContext portletContext)` Return all the properties of the specified portlet.
`PropertyMap` | `getProperties(PortletContext portletContext, java.util.Set<java.lang.String> keys)` Return a subset of the properties of the specified portlet.
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`PortletContext` | `setProperties(PortletContext portletContext, PropertyChange[] changes)` Set the properties on the specified portlet.

Method Detail

### getPortlets

    java.util.Set<Portlet> getPortlets()
                                       throws PortletInvokerException

  Return the set of portlet exposed.

  Returns:
    the set of exposed portlets
  Throws:
    `PortletInvokerException` - a portlet invoker exception

### getPortlet

    Portlet getPortlet(PortletContext portletContext)
                       throws java.lang.IllegalArgumentException,
                              PortletInvokerException

  Get information about a specific portlet.

  Parameters:
    `portletContext` - the portlet context in the scope of this invoker
  Returns:
    the `PortletInfo` for the specified portlet
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet context is null
    `PortletInvokerException` - a portlet invoker exception

### invoke

    PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws java.lang.IllegalArgumentException,
                                            PortletInvokerException

  Invoke an operation on a specific portlet.

  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `java.lang.IllegalArgumentException` - if the invocation is null
    `PortletInvokerException` - a portlet invoker exception

### createClone

    PortletContext createClone(PortletContext portletContext)
                               throws java.lang.IllegalArgumentException,
                                      PortletInvokerException,
                                      java.lang.UnsupportedOperationException

  Clone a portlet.

  Parameters:
    `portletContext` - the portlet context to clone
  Returns:
    the clone id
  Throws:
    `java.lang.IllegalArgumentException` - if the portletId is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException` - a portlet invoker exception

### destroyClones

    java.util.List<DestroyCloneFailure> destroyClones(java.util.List<PortletContext> portletContexts)
                                                      throws java.lang.IllegalArgumentException,
                                                             PortletInvokerException,
                                                             java.lang.UnsupportedOperationException

  Destroy a cloned portlet.

  Parameters:
    `portletContexts` - a list of portlet contexts to destroy
  Returns:
    a list of `DestroyCloneFailure`, one per clone that couldn't be destroyed
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException` - a portlet invoker exception

### getProperties

    PropertyMap getProperties(PortletContext portletContext,
                              java.util.Set<java.lang.String> keys)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Return a subset of the properties of the specified portlet.

  Parameters:
    `portletContext` - the portlet context
    `keys` - the set of keys to retrieve
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the keys arguments are null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException` - a portlet invoker exception

### getProperties

    PropertyMap getProperties(PortletContext portletContext)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Return all the properties of the specified portlet.

  Parameters:
    `portletContext` - the portlet context
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException` - a portlet invoker exception

### setProperties

    PortletContext setProperties(PortletContext portletContext,
                                 PropertyChange[] changes)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Set the properties on the specified portlet.

  Parameters:
    `portletContext` - the portlet context
    `changes` - the changes
  Returns:
    the new portlet context
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the properties is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException` - a portlet invoker exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.